# Ipopt::PiecewisePenalty Class Reference

Class for the Piecewise Penalty. More...

`#include <IpPiecewisePenalty.hpp>`

List of all members.

## Public Member Functions
void | Clear ()
| Delete all Piecewise Penalty entries.
void | Print (const Journalist &jnlst)
| Print current Piecewise Penalty entries.
Constructors/Destructors
| PiecewisePenalty (Index dim)
| Default Constructor.
| ~PiecewisePenalty ()
| Default Destructor.
bool | IsPiecewisePenaltyListEmpty ()
void | InitPiecewisePenaltyList (Number pen_r, Number barrier_obj, Number infeasi)
bool | Acceptable (Number Fzconst, Number Fzlin)
| Check acceptability of given coordinates with respect to the Piecewise Penalty.
Number | BiggestBarr ()
| Get the value of the biggest barrier function so far.
void | UpdateEntry (Number barrier_obj, Number infeasi)
| Update Piecewise Penalty entry for given coordinates.
void | AddEntry (Number pen_r, Number barrier_obj, Number infeasi)
| Add a entry to the list.
void | ResetList (Number pen_r, Number barrier_obj, Number infeasi)
| Clear and reset the piecewise penalty list.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| PiecewisePenalty ()
| Default Constructor.
| PiecewisePenalty (const PiecewisePenalty &)
| Copy Constructor.
void | operator= (const PiecewisePenalty &)
| Overloaded Equals Operator.
## Private Attributes
Index | dim_
| Dimension of the Piecewise Penalty (number of coordinates per entry).
Number | min_piece_penalty_
| The min penalty value for the piecewise penalty list.
Index | max_piece_number_
| The max number of the break points in the piecewise penalty list.
std::vector< PiecewisePenEntry > | PiecewisePenalty_list_
| vector storing the Piecewise Penalty entries

## Detailed Description

Class for the Piecewise Penalty.

This class contains all Piecewise Penalty entries. The entries are stored as the corner point, including the margin.

Definition at line 39 of file IpPiecewisePenalty.hpp.

## Constructor & Destructor Documentation

Ipopt::PiecewisePenalty::PiecewisePenalty | ( | Index | dim | ) |

Default Constructor.

Ipopt::PiecewisePenalty::~PiecewisePenalty | ( |  | ) | `[inline]`

Default Destructor.

Definition at line 47 of file IpPiecewisePenalty.hpp.

Ipopt::PiecewisePenalty::PiecewisePenalty | ( |  | ) | `[private]`

Default Constructor.

Ipopt::PiecewisePenalty::PiecewisePenalty | ( | const PiecewisePenalty & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

bool Ipopt::PiecewisePenalty::IsPiecewisePenaltyListEmpty | ( |  | ) | `[inline]`

Definition at line 57 of file IpPiecewisePenalty.hpp.

void Ipopt::PiecewisePenalty::InitPiecewisePenaltyList | ( | Number | pen_r,
|  | Number | barrier_obj,
|  | Number | infeasi |
| ) |  |  | `[inline]`

Definition at line 62 of file IpPiecewisePenalty.hpp.

bool Ipopt::PiecewisePenalty::Acceptable | ( | Number | Fzconst,
|  | Number | Fzlin |
| ) |  |  |

Check acceptability of given coordinates with respect to the Piecewise Penalty.

Returns true, if pair is acceptable

Number Ipopt::PiecewisePenalty::BiggestBarr | ( |  | ) |

Get the value of the biggest barrier function so far.

void Ipopt::PiecewisePenalty::UpdateEntry | ( | Number | barrier_obj,
|  | Number | infeasi |
| ) |  |  |

Update Piecewise Penalty entry for given coordinates.

void Ipopt::PiecewisePenalty::AddEntry | ( | Number | pen_r,
|  | Number | barrier_obj,
|  | Number | infeasi |
| ) |  |  | `[inline]`

Add a entry to the list.

Definition at line 81 of file IpPiecewisePenalty.hpp.

void Ipopt::PiecewisePenalty::ResetList | ( | Number | pen_r,
|  | Number | barrier_obj,
|  | Number | infeasi |
| ) |  |  | `[inline]`

Clear and reset the piecewise penalty list.

Definition at line 97 of file IpPiecewisePenalty.hpp.

void Ipopt::PiecewisePenalty::Clear | ( |  | ) | `[inline]`

Delete all Piecewise Penalty entries.

Definition at line 106 of file IpPiecewisePenalty.hpp.

void Ipopt::PiecewisePenalty::Print | ( | const Journalist & | jnlst | ) |

Print current Piecewise Penalty entries.

void Ipopt::PiecewisePenalty::operator= | ( | const PiecewisePenalty & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

Index Ipopt::PiecewisePenalty::dim_`[private]`

Dimension of the Piecewise Penalty (number of coordinates per entry).

Definition at line 133 of file IpPiecewisePenalty.hpp.

Number Ipopt::PiecewisePenalty::min_piece_penalty_`[private]`

The min penalty value for the piecewise penalty list.

Definition at line 136 of file IpPiecewisePenalty.hpp.

Index Ipopt::PiecewisePenalty::max_piece_number_`[private]`

The max number of the break points in the piecewise penalty list.

Definition at line 139 of file IpPiecewisePenalty.hpp.

std::vector<PiecewisePenEntry> Ipopt::PiecewisePenalty::PiecewisePenalty_list_`[private]`

vector storing the Piecewise Penalty entries

Definition at line 142 of file IpPiecewisePenalty.hpp.

The documentation for this class was generated from the following file:

- src/contrib/CGPenalty/IpPiecewisePenalty.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines